<?php
require_once ("VLSIuser.php");
$jmsess="ulozCLOSE";
session_start();

//je odeslano z naseho skriptu
if (!isset($_POST['odeslane'])){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
if ($_POST['odeslane']!="Odeslat"){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}

$idprj=$_POST['idprj'];
if (!isset($idprj)){unseting($jmsess);die("Doslo k chybě</body></html>");}
// kontrola zda je idprj cislo
if (is_numeric($idprj)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $idprj=(int)$idprj;
}else{unseting($jmsess);die("Doslo k chybě nebo pokusu o utok</body></html>");}

//kontrola spravnosti prichozich dat
if (isset($_POST['nazev'])){$nazev=trim($_POST['nazev']);}else {$nazev="";}
if (isset($_POST['nazeveng'])){$nazeveng=trim($_POST['nazeveng']);}else {$nazeveng="";}
if (isset($_POST['popis'])){$popis=trim($_POST['popis']);}else {$popis="";}
if (isset($_POST['rozsah'])){$rozsah=trim($_POST['rozsah']);}else {$rozsah="";}
if (isset($_POST['literatura'])){$literatura=trim($_POST['literatura']);}else {$literatura="";}
if (isset($_POST['resitel'])){$resitel=trim($_POST['resitel']);}else {$resitel="";}
if (isset($_POST['odkaz'])){$odkaz=trim($_POST['odkaz']);}else {$odkaz="";}

//*****************************************************
//***************************************************
//prisli pripustne hodnoty.... kontrola delek pro db
$is_chyba=false;
$chyba="idprj=$idprj&typ=$typ";
if (strlen($nazev)==0){$is_chyba=true;$chyba.="&chybinazev=true";}
if (strlen($nazev)>320){$is_chyba=true;$chyba.="&nazevchyba=true";}
if (strlen($nazeveng)>20){$is_chyba=true;$chyba.="&nazevengchyba=true";}
if (strlen($rozsah)>40){$is_chyba=true;$chyba.="&rozsahchyba=true";}
if (strlen($literatura)>20){$is_chyba=true;$chyba.="&literchyba=true";}
if (strlen($resitel)>40){$is_chyba=true;$chyba.="&resitelchyba=true";}
if (strlen($odkaz)>60){$is_chyba=true;$chyba.="&odkazchyba=true";}
if (strlen($odkaz)!=0){ $isodkaz = Ereg("^http://[^ ]+\.[^ ]+$", $odkaz);
                        $isodkaz2 = Ereg("^www\.[^ ]+\.[^ ]+$", $odkaz);
                        if ((!$isodkaz) && (!$isodkaz2)) {$is_chyba=true;
                                            $chyba.="&odkazchyba2=true";}}


if($slashes==1){
$chyba.="&nazev=".stripslashes($nazev)."&nazeveng=".stripslashes($nazeveng)."&popis=".stripslashes($popis)."&rozsah=".stripslashes($rozsah)."&literatura=".stripslashes($literatura)."&resitel=".stripslashes($resitel)."&odkaz=".stripslashes($odkaz);}
else{$chyba.="&nazev=$nazev&nazeveng=$nazeveng&popis=$popis&rozsah=$rozsah&literatura=$literatura&resitel=$resitel&odkaz=$odkaz";}

if ($is_chyba){header ("Location: close.php?".SID."&$chyba");exit;}
//*************************************
// pokud nenastala chyba, jde to do db

if ($slashes==0){
$nazev=addslashes($nazev);
$nazeveng=addslashes($nazeveng);
$popis=addslashes($popis);
$rozsah=addslashes($rozsah);
$literatura=addslashes($literatura);
$resitel=addslashes($resitel);
$odkaz=addslashes($odkaz);
}


$polozky="INSERT INTO oldproj (nazev";
$hodnoty=") VALUES ('".$nazev."'";
if ($nazeveng!=""){ $polozky=$polozky.",nazeveng";
                    $hodnoty=$hodnoty.",'".$nazeveng."'";}
if ($popis!=""){ $polozky=$polozky.",anotace";
                    $hodnoty=$hodnoty.",'".$popis."'";}
if ($rozsah!=""){ $polozky=$polozky.",rozsah";
                    $hodnoty=$hodnoty.",'".$rozsah."'";}
if ($literatura!=""){ $polozky=$polozky.",literatura";
                    $hodnoty=$hodnoty.",'".$literatura."'";}
if ($resitel!=""){ $polozky=$polozky.",resitel";
                    $hodnoty=$hodnoty.",'".$resitel."'";}
if ($odkaz!=""){ $polozky=$polozky.",odkaz";
                    $hodnoty=$hodnoty.",'".$odkaz."'";}

$polozky=$polozky.",zadavatel";
$hodnoty=$hodnoty.",'".$user['username']."')";
$dotaz=$polozky.$hodnoty;

$dotaz2="DELETE FROM projects WHERE (prjid=".$idprj." AND zadavatel='".$user['username']."')";


//**********************************************************
//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";


if (!isset($_SESSION[$jmsess]) || $_SESSION[$jmsess]==false){unseting($jmsess);
  header ("Location: edit.php?stav=5");exit();}
unseting($jmsess);


// insert do oldprojektu
$db->begin();
$res=$db->query ($dotaz);
// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource') {
     $db->rollback();
     header ("Location: edit.php?stav=4");exit;
	} else {
$res=$db->query ($dotaz2);
// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource') {
     $db->rollback();
     header ("Location: edit.php?stav=4");exit;
	} else {



$db->commit();
$db->close();
header ("Location: edit.php?stav=1");exit;}}

?>
